/*******************************************************************************
 * Copyright (c) 2004, 2007 IBM Corporation.
 * All rights reserved. 
 *******************************************************************************/

function tutorialAction(pluginID, className, arg) {
	var ref = "/TutorialGallery/livehelp/?pluginID=" + pluginID + "&class=" + className + "&arg=" + arg;
	self.location.replace(ref);	
}

function linkHelp(helpitem) {
	var ref = "/TutorialGallery/livehelp/?pluginID=com.ibm.tutorialgallery&class=com.ibm.tutorialgallery.OpenHelpAction&arg=" + helpitem;
	self.location.replace(ref);	
}
/*******************************************************************************
Used to link to the Samples Gallery. The parameter is sample_plugin/samplepage.html
example: href="JavaScript:linkSample('com.ibm.sample.helloworld/doc/overview.html')"
********************************************************************************/
function linkSample(sample) {
	var ref = "/TutorialGallery/livehelp/?pluginID=com.ibm.samplegallery&class=com.ibm.samplegallery.SampleGalleryAction&arg=" + sample;
	self.location.replace(ref);	
}

function linkTutorial(tutorial) {
	var ref = "/TutorialGallery/topic/" + tutorial;
	self.location.replace(ref);	
}

/* 
Example of calling this function:
<div class="collapseheadlearnmore"><a href="javascript:void(0)" class="collapsehead" onclick="collapse(this)">Learn more about something</a></div><div class="collapsecontent">This section should be collapsed and hidden.</div>
The collapse effect also takes advantage of styles defined in tutorials.css
*/
function collapse(loc){
	//Navigate to the content division using DOM, then change its style
	var foc=loc.parentNode.parentNode.childNodes[1];
	foc.style.display=foc.style.display=='block'?'none':'block';
	
	//Find the header anchor by navigating the DOM tree, then change its class attribute to use a different style
	var headA = loc.parentNode.firstChild;
	headA.className=headA.className=='collapsehead'?'collapseheadopen':'collapsehead';

}  
//
// imports basic project using ImportAction
// the arg is plugin.wizID
//
function importSample(arg) {
	var ref = "/TutorialGallery/livehelp/?pluginID=com.ibm.samplegallery&class=com.ibm.samplegallery.ImportAction&arg=" + arg ;
	self.location.replace(ref);	
}
//
// imports using project interchange file, takes 1 param which is 2 values joined with a +
//		param = the extention point id in the plugin.xml+wizardID from the plugin.xml
function importPISample(arg) {
	var ref = "/TutorialGallery/livehelp/?pluginID=com.ibm.gallery.wizard&class=com.ibm.gallery.wiz.ImportPIAction&arg=" + arg ;
	self.location.replace(ref);	
}
//
// imports using project interchange file, takes 2 params
//		param 1 is the extention point id in the plugin.xml
//		param 2 is the wizardID from the plugin.xml
//
function importPISample(wizid, plugpack) {
	var ref = "/TutorialGallery/livehelp/?pluginID=com.ibm.gallery.wizard&class=com.ibm.gallery.wiz.ImportPIAction&arg=" + wizid + "+" + plugpack ;
	self.location.replace(ref);	
}
/*
*
* These functions are used by Tours in the gallery
*
*/
function popup_window( url ) { 
	popup = window.open(url + "?noframes=true", "touregl", "toolbar=no,scrollbars=yes,location=no,statusbar=no,menubar=no,resizable=no,width=1021,height=510,left=0,top=0" ); 
	popup.focus(); 
}

function popup_html( url, id, width, height ) { 
	popup = window.open( url, id, 'toolbar=no,scrollbars=yes,location=no,statusbar=no,menubar=no,resizable=yes,width=' + width + ',height=' + height + ',left=0,top=0' ); 
	popup.focus(); 
}

function importProject(arg) {
	var ref = "/TutorialGallery/livehelp/?pluginID=com.ibm.gallery.wizard&class=com.ibm.gallery.wiz.ImportPIAction&arg=" + arg ;
	self.location.replace(ref);	
}